org.apache.sis.storage

## Interface DataSet

- All Superinterfaces:
    Resource
  All Known Subinterfaces:
    FeatureSet

      public interface DataSet
      extends Resource

  Collection of features that share a common set of attributes or properties. Features may be organized in coverages, but not necessarily. The common set of properties is described by feature types, grid geometries or sample dimensions, depending on the `DataSet` subtype. The actual values are provided by methods defined in `DataSet` subtypes.
  Example: the features contained in a `DataSet` could be all bridges in a city. A `DataSet` can be associated to one `FeatureType` which specifies that all bridges shall have `"construction date"` and `"height"` attributes, and an arbitrary amount of `Feature` instances which contains the actual values for all bridges in the dataset.
  Metadata
  Datasets should have `metadata` / `metadataScope` / `resourceScope` sets to `ScopeCode​.DATASET`. If this datasets is part of a series or an `Aggregate`, the aggregate name should be declared as the parent metadata. That parent metadata is often the same instance than `DataStore​.getMetadata()`.
  Since:
    0.8

  Defined in the `sis-storage` module

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Envelope` | `getEnvelope()` Returns the spatio-temporal extent of this resource in its most natural coordinate reference system.

    - ### Methods inherited from interface Resource

      `getMetadata`

- - ### Method Detail

    - #### getEnvelope

          Envelope getEnvelope()
                        throws DataStoreException

      Returns the spatio-temporal extent of this resource in its most natural coordinate reference system. The following relationship to Resource.getMetadata() should hold:
      - The envelope should be contained in the union of all geographic, vertical or temporal extents described by `metadata` / `identificationInfo` / `extent`.
      - The coordinate reference system should be one of the instances returned by `referenceSystemInfo`.
      The envelope should use the coordinate reference system (CRS) that most closely matches the geometry of the resource storage. It is often a projected CRS, but other types like engineering CRS are also allowed. If this resource uses many different CRS with none of them covering all data, then the envelope should use a global system (typically a geographic CRS).
      Returns:
        the spatio-temporal resource extent. Should not be `null`.
      Throws:
        `DataStoreException` - if an error occurred while reading or computing the envelope.

Copyright © 2010–2017 The Apache Software Foundation. All rights reserved.